> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create instructor account 

> Create a new instructor account for your school. This function is idempotent - calling it multiple times with the same email will not create duplicate accounts. If the instructor already exists, they will be added to your school if not already associated.

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/create-instructor-account
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/create-instructor-account:
    post:
      tags:
        - User
      summary: 'Create instructor account '
      description: >-
        Create a new instructor account for your school. This function is
        idempotent - calling it multiple times with the same email will not
        create duplicate accounts. If the instructor already exists, they will
        be added to your school if not already associated.


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          instructorEmail:
                            type: string
                            format: email
                            description: Email address of the instructor to create
                          instructorName:
                            type: string
                            minLength: 2
                            maxLength: 100
                            description: Full name of the instructor
                        required:
                          - instructorEmail
                          - instructorName
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                fermionInstructorId:
                                  type: string
                                  description: >-
                                    Unique identifier of the created instructor
                                    account
                                associatedFermionUserId:
                                  type: string
                                  description: >-
                                    Unique identifier of the associated
                                    FermionUser account
                              required:
                                - fermionInstructorId
                                - associatedFermionUserId
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````